%define name 		kdirstat
%define Name 		KDirStat
%define version 	2.5.3
%define release 	%mkrel 3
%define summary	    %{Name} is a graphical disk usage utility, very much like the Unix du command

Summary:                %{summary}
Name:      	 	%{name}
Version:   	 	%{version}
Release:   		%{release}
URL:	    	http://kdirstat.sourceforge.net/
Source:    		%{name}-%{version}.tar.bz2
License:   		GPL
Group:     		File tools
BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:		kdelibs-devel
BuildRequires:      libx11-devel

%description
%{Name} is a graphical disk usage utility, very much like the
Unix du command. In addition to that, it comes with some cleanup 
facilities to reclaim disk space.

%prep
%setup -q

%build
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 "
./configure --prefix=%{_prefix} --disable-rpath --libdir=%{_libdir}

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# make DESTDIR=$RPM_BUILD_ROOT install

# menu
install -D -m 644 kdirstat/hi16-app-kdirstat.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 kdirstat/hi32-app-kdirstat.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 kdirstat/hi32-app-kdirstat.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
	command="%{_bindir}/%{name}"\
	needs="X11"\
	icon="%{name}.png"\
	section="System/File Tools"\
	title="%{Name}"\
	longtitle="%{Name}"\
    xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{Name}
Comment=Graphical du
Exec=%_bindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-FileTools;System;FileManager;
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%if %mdkversion > 200600
%update_icon_cache hicolor
%update_icon_cache locolor
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%clean_icon_cache hicolor
%clean_icon_cache locolor
%endif


%files -f %name.lang
%defattr(-,root,root)
%doc COPYING AUTHORS ChangeLog TODO INSTALL README
%{_bindir}/kdirstat
%{_bindir}/kdirstat-cache-writer
%{_datadir}/apps/kdirstat
%{_datadir}/applnk/*/kdirstat*
%{_datadir}/doc/HTML/*/kdirstat/
%{_iconsdir}/??color/??x??/*/kdirstat*
%{_datadir}/apps/kconf_update/fix_move_to_trash_bin.pl
%{_datadir}/apps/kconf_update/kdirstat.upd
%_menudir/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.5.3-3mdv2008.1
+ Revision: 136523
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Tue Jul 25 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/25/06 13:52:13 (42107)
- buildrequires libx11-devel

* Mon Jul 17 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/17/06 03:38:41 (41407)
- fix vim typo (i)
- releasing

* Sun Jul 16 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 07/16/06 18:10:32 (41406)
- Fix XDG menu
- Use macros for icons

* Sun Jul 16 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/16/06 00:18:35 (41345)
- 2.5.3
- xdg menu

* Sat Jul 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 07/15/06 23:51:06 (41344)
Import kdirstat

* Thu May 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.4.4-1mdk
- 2.4.4
- %%mkrel

* Thu Feb 03 2005 Tigrux <tigrux@ximian.com> 2.4.3-1mdk
- New release

* Sat Jul 10 2004 Michael Scherer <misc@mandrake.org> 2.4.0-2mdk
- rebuild for new gcc ( patch #0 ) 
- clean Buildrequires
- various fix in spec

* Thu Apr 22 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.4.0-1mdk
- 2.4.0

